package com.xin.shardingspherejdbcdemo.config;

import com.xin.shardingspherejdbcdemo.entity.vo.AjaxVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.dao.DataIntegrityViolationException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author haozz
 * @date 2018/6/19 17:16
 * @description
 */
@ControllerAdvice
@Slf4j
public class MyExceptionHandler {

    @ExceptionHandler(value = Exception.class)//指定拦截的异常
    @ResponseBody
    public AjaxVo errorHandler(HttpServletRequest request, HttpServletResponse response, Exception e) throws Exception {
        e.printStackTrace();//打印异常信息
        log.error("发生了错误:{}", e.getMessage());
        return AjaxVo.error(e.getMessage());
    }

    @ExceptionHandler(value = DataIntegrityViolationException.class)//指定拦截的异常
    @ResponseBody
    public AjaxVo dataIntegrityViolationException(HttpServletRequest request, HttpServletResponse response, DataIntegrityViolationException e) throws Exception {
        e.printStackTrace();//打印异常信息
        log.error("发生了错误:{}", e.getMessage());
        String message = e.getCause().getMessage();
        return AjaxVo.error(message);
    }
}