package com.xin.shardingspherejdbcdemo.controller;

import com.xin.shardingspherejdbcdemo.entity.Order;
import com.xin.shardingspherejdbcdemo.entity.vo.AjaxVo;
import com.xin.shardingspherejdbcdemo.entity.vo.PageVo;
import com.xin.shardingspherejdbcdemo.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private OrderService orderService;

    @PostMapping
    public AjaxVo saveUser(@RequestBody Order order) {
        return AjaxVo.success(orderService.save(order));
    }
    @PutMapping
    public AjaxVo update(@RequestBody Order order) {
        return AjaxVo.success(orderService.update(order));
    }

    @DeleteMapping("/{id}")
    public AjaxVo delete(@PathVariable Long id) {
        return AjaxVo.success(orderService.delete(id));
    }

    @GetMapping("/{id}")
    public AjaxVo info(@PathVariable Long id) {
        return AjaxVo.success(orderService.info(id));
    }

    @GetMapping("/list")
    public AjaxVo listUser(int pageNum, int pageSize, String orderNum) {
        PageVo data = orderService.list(pageNum, pageSize, orderNum);
        return AjaxVo.success(data);
    }

}

