package com.xin.shardingspherejdbcdemo.controller;

import com.xin.shardingspherejdbcdemo.entity.Order;
import com.xin.shardingspherejdbcdemo.entity.User;
import com.xin.shardingspherejdbcdemo.entity.vo.AjaxVo;
import com.xin.shardingspherejdbcdemo.entity.vo.PageVo;
import com.xin.shardingspherejdbcdemo.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping
    public AjaxVo saveUser(@RequestBody User user) {
        return AjaxVo.success(userService.save(user));
    }

    @PostMapping("/save/order")
    public AjaxVo saveorder(@RequestBody Order order) {
        return AjaxVo.success(userService.order(order));
    }

    @GetMapping("/select/order")
    public AjaxVo saveorder(@RequestParam("userId") Long userId,@RequestParam("pageNum")int pageNum,@RequestParam("pageSize") int pageSize,@RequestParam("name")  String name) {
        return AjaxVo.success(userService.selectOrder(userId,pageNum,pageSize,name));
    }

    @PutMapping
    public AjaxVo update(@RequestBody User user) {
        return AjaxVo.success(userService.update(user));
    }

    @DeleteMapping("/{id}")
    public AjaxVo delete(@PathVariable Long id) {
        return AjaxVo.success(userService.delete(id));
    }

    @GetMapping("/{id}")
    public AjaxVo info(@PathVariable Long id) {
        return AjaxVo.success(userService.info(id));
    }

    @GetMapping("/list")
    public AjaxVo listUser(int pageNum, int pageSize, String name, Integer age,Integer year) {
        PageVo data = userService.list(pageNum, pageSize, name, age,year);
        return AjaxVo.success(data);
    }

}

